RubyGems Navigation menu

sleepy_penguin 3.3.0

sleepy_penguin provides access to newer, Linux-only system calls to wait on events from traditionally non-I/O sources. Bindings to the eventfd, timerfd, inotify, and epoll interfaces are provided. Experimental support for kqueue on FreeBSD (and likely OpenBSD/NetBSD) are also provided.

Versions:

  1. 3.3.0 - December 30, 2013 (72 KB)
  2. 3.2.0 - July 16, 2013 (71.5 KB)
  3. 3.1.0.26.g7181 - April 24, 2013 (60 KB)
  4. 3.1.0 - May 2, 2012 (56 KB)
  5. 3.0.1 - May 21, 2011 (53 KB)
Show all versions (13 total)

Development Dependencies:

Authors:

  • sleepy_penguin hackers

Owners:

18813f71506ebad74179bf8c5a136696

Total downloads 13,765

For this version 1,168

Show all versions (13 total)

Required Ruby Version: None

Licenses:

LGPLv2.1, LGPLv3

Gemfile:
gem 'sleepy_penguin', '~> 3.3.0' = Copy to clipboard Copied!

install:
gem install sleepy_penguin = Copy to clipboard Copied!

Links: